package eu.jonahbauer.wizard.core.machine.states.game;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.GameData;
import eu.jonahbauer.wizard.core.machine.states.GameState;
import eu.jonahbauer.wizard.core.machine.states.round.StartingRound;

import java.util.Collections;

public final class Starting extends GameState {

    public Starting(Game game, GameData data) {
        super(game, data);
    }

    @Override
    public void onEnter() {
        transition(new StartingRound(getGame(), getData().withRound(0).withScore(Collections.emptyMap())));
    }
}
