package eu.jonahbauer.wizard.core.machine.states.round;

import eu.jonahbauer.wizard.core.machine.Game;
import eu.jonahbauer.wizard.core.machine.GameData;
import eu.jonahbauer.wizard.core.machine.states.GameState;

import java.util.UUID;

public abstract class RoundState extends GameState {
    public RoundState(Game game, GameData data) {
        super(game, data.requireRound().requireScore());
    }

    protected UUID getDealer() {
        return getPlayer(getRound() % getPlayerCount());
    }
}
